Package org.drinkless.tdlib

# Class TdApi.RecommendedChatFolder

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.RecommendedChatFolder

Enclosing class:
  `TdApi`

public static class TdApi.RecommendedChatFolder extends TdApi.Object
Describes a recommended chat folder.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `description`
  Chat folder description.
  `TdApi.ChatFolder`
  `folder`
  The chat folder.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecommendedChatFolder()`
  Describes a recommended chat folder.
  `RecommendedChatFolder(TdApi.ChatFolder folder, String description)`
  Describes a recommended chat folder.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### folder

    public TdApi.ChatFolder folder
    The chat folder.

  - ### description

    public String description
    Chat folder description.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RecommendedChatFolder

    public RecommendedChatFolder()
    Describes a recommended chat folder.

  - ### RecommendedChatFolder

    public RecommendedChatFolder(TdApi.ChatFolder folder, String description)
    Describes a recommended chat folder.
    Parameters:
      `folder` - The chat folder.
      `description` - Chat folder description.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR